package de.ozgcloud.vorgang.statistic;

import de.ozgcloud.vorgang.common.GrpcQueryOperator;
import de.ozgcloud.vorgang.statistic.GrpcVorgangStatisticQuery.GroupMethod;

public class GrpcVorgangStatisticQueryTestFactory {

	static final String OPERAND_STRING_VALUE = "NEU";
	static final GroupMethod GROUP_METHOD = GroupMethod.COUNT;
	static final String QUERY_PATH = "Vorgang.status";
	static final String PATH = "status";
	static final String RESULT_NAME = "countByStatusNeu";

	static GrpcVorgangStatisticQuery create() {
		return createBuilder().build();
	}

	static GrpcVorgangStatisticQuery.Builder createBuilder() {
		return GrpcVorgangStatisticQuery.newBuilder()
				.setResultName(RESULT_NAME)
				.setGroupMethod(GROUP_METHOD)
				.setPath(QUERY_PATH)
				.setOperator(GrpcQueryOperator.EQUAL)
				.setOperandStringValue(OPERAND_STRING_VALUE);
	}
}
